#ifndef xcut_MODULE
#define xcut_MODULE

/*
 * $Id: xcut.h,v 1.2 2002/09/06 16:43:05 lha Exp $
 */

char *getSelectedText(void);
Bool isShiftButton1(Display *dpy, XEvent *event, char *arg);
Bool isShiftButton3(Display *dpy, XEvent *event, char *arg);
void getLastEvent(Display *dpy, unsigned int state, XEvent *event);
void xunmark(Display *dpy, Window w, x_gram *gram, XContext desc_context);
void xdestroygram(Display *dpy, Window w, XContext desc_context,
		  x_gram *gram, int force);
void xcut(Display *dpy, XEvent *event, XContext desc_context);

#endif /* xcut_MODULE */
